
[[common-data]]
== Common data attributes

=== General

The data models in this clause are used by other data models specified in
this document.

=== Data models

[plantuml]
....
include::../models/style.uml.inc[]
include::../models/datatypes.wsd[]
....


[[iso-639]]
=== Usage of ISO 639 code elements

`iso639Code` represents code elements from <<ISO639-1>>, <<ISO639-2>>,
<<ISO639-3>> and <<ISO639-5>> for reference to languages.


[[iso-15924]]
=== Usage of ISO 15924 code elements

`iso15924Code` represents code elements from <<ISO15924>> for reference to
scripts.

[[iso-8601]]
=== Usage of ISO 8601 expressions

`iso8601Expression` represents datatime expressions that are compliant with
<<ISO8601>>.
